$(function() {
    $.getJSON("/feature/" + FEATURE_ID + "/similar.json", {
        
    }, function(data) {
        for (var i=0; i<data.length;i++) {
            var $row = getRow(data[i]);
            $('#similarTable tbody').append($row);
        }
    });
});

function getRow(d) {
    var $tr = $('<tr />');
    var $one = $('<td />').appendTo($tr);
    var $a = $('<a />').attr("href", "/admin/places/feature/" + d.id).text(d.preferred_name).appendTo($one);
    var similarity = Math.round(parseFloat(d.similarity) * 100);
    var distance = Math.round(parseFloat(d.distance));
    $('<td />').text(d.feature_type).appendTo($tr);
    $('<td />').text(similarity).appendTo($tr);
    $('<td />').text(d.distance).appendTo($tr);
    $('<td />').text(d.time_frame).appendTo($tr);
    var $primary_td = $('<td />').appendTo($tr);
    var $checkbox = $('<input />').attr("type", "checkbox").attr("disabled", "disabled").appendTo($primary_td);
    if (d.is_primary) {
        $checkbox.attr("checked", "checked");
    } else {
        $.noop();
    }
    
    return $tr;
}
